//
// Copyright 2001 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wJobPane:
//   Display the job fields

#ifndef p4wJobPane_H
#define p4wJobPane_H

#include "p4wSpecPane.h"

class StrDict;

class p4wJobPane : public p4wSpecPane {

public:

	p4wJobPane( p4wView & ParentView, p4wRequest & Request, int isForm );
	virtual			~p4wJobPane();

	virtual	int		IgnoreField( const char * field );
	virtual	int		CustomField( const char * field, 
					StrDict * varList, int len = 0, SpecElem *se = NULL );
	virtual void		GetAction( StrBuf & actionURL );	
	virtual void		RenderInfo( char *data, char level );

	//
	// Render functions.
	
	virtual	void		Begin();
	virtual void		Render( StrDict * varList );	
	virtual	void		End();

	int AnyFixes() { return fSeenFixes; }
	
private:
	enum State { gettingJob, gettingFixes }	fState;	

	void			doFixes( StrDict * varList );
	int 			doCustomForm( const char * field, 
					StrDict * varList, int len );
	int 			doCustomNotForm( const char * field, 
					StrDict * varList );
	
	int			fSeenFixes;
};

#endif // p4wJobPane_H
